package kr.co.bit.lecture.board.web.spring;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import kr.co.bit.board.model.Board;
import kr.co.bit.lecture.board.service.BoardService;

import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.AbstractController;

public class BoardReadController extends AbstractController {
	private BoardService boardService;
	private String viewName;
	
	public void setBoardService(BoardService boardService) {
		this.boardService = boardService;
	}

	public void setViewName(String viewName) {
		this.viewName = viewName;
	}

	@Override
	protected ModelAndView handleRequestInternal(HttpServletRequest request,
			HttpServletResponse response) throws Exception {
		ModelAndView mnv = new ModelAndView();
		
		String strSeq = request.getParameter("seq");
		String strNowPage = request.getParameter("page");
		
		this.boardService.saveBoardReadCount(Integer.valueOf(strSeq));
		Board board = this.boardService.getBoard(Integer.valueOf(strSeq));
		board.setSeq(Integer.valueOf(strSeq));
		mnv.addObject("page", strNowPage);
		mnv.addObject("board", board);
		
		mnv.setViewName(viewName);
		
		return mnv;
	}

}
